> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Invitation With Context

> Accept an invitation for the project derived from an active edge-minted login context. The context is not consumed until session exchange.



## OpenAPI

````yaml /openapi.json post /v1/app-access/invitations/accept
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/app-access/invitations/accept:
    post:
      tags:
        - appAccess
      summary: Accept Invitation With Context
      description: >-
        Accept an invitation for the project derived from an active edge-minted
        login context. The context is not consumed until session exchange.
      operationId: appAccess.acceptInvitationWithContext
      parameters: []
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                context:
                  type: string
                  minLength: 32
                  maxLength: 512
                token:
                  type: string
                  minLength: 32
                  maxLength: 512
              required:
                - context
                - token
      responses:
        '200':
          description: Access grant plus the server-derived managed application URL.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  grant:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      viewerUserId:
                        type: string
                      email:
                        type: string
                        format: email
                      invitationId:
                        type:
                          - string
                          - 'null'
                        format: uuid
                      revokedAt:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      createdAt:
                        type: string
                        format: date-time
                    required:
                      - id
                      - viewerUserId
                      - email
                      - invitationId
                      - revokedAt
                      - createdAt
                  appUrl:
                    type: string
                    format: uri
                    description: >-
                      Server-derived managed application URL. Custom and
                      infrastructure origins are never returned.
                required:
                  - grant
                  - appUrl
        '403':
          description: Invitation does not match the verified viewer identity.
        '404':
          description: Context or invitation is invalid, expired, or unavailable.
        '409':
          description: Invitation was already accepted.
      security:
        - session: []
components:
  securitySchemes:
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````